<div class="">
  <br>
  <h1 class="text-center">Problem Set 5</h1>

  <div class="question question-1 card">
    <div class="card-body">
      <h4 class="card-title">
        Think about how to classify each of the types of content on your site. Articles, comments on articles,
        news items, questions and answers, documents to be approved or rejected with comments, and so on.
        Each type of content will require a different flavor of data model and moderation/approval/versioning
        process
      </h4>
      <pre>
        There will be two type of content on our site.
        - patients record
        - Equipment record
      </pre>
    </div>
  </div>

  <div class="question question-2 card">
    <div class="card-body">
      <h4 class="card-title">
        Design your content data model and discuss the implications of your design choices with potential
        users of the system. In general, there should be at least one category of user-submitted content with
        authoring workflow specific to your project and at least one question and answer forum. However,
        the specifics will be very dependent on your project’s requirements. Document the design and your
        discussions on your site.
      </h4>
      <p>Content data Model</p>
      <p class="text-center"><%= image_tag 'ps5/patient_record_mgnt_class.png', alt: "content data model", class: 'img-responsive', width: 700, height: 500 %></p>
    </div>
  </div>

  <div class="question question-3 card">
    <div class="card-body">
      <h4 class="card-title">
        Specify the workflow for each kind of content on your site and discuss the implications of your design
        choices with potential users of the system. Document the workflow design and your discussions on your
        site.
      </h4>

      <h3>Patient Record Workflow</h3>
      <br/>
      <div class="workflow">
        <h6>
          Patient record are created by the reception.
        </h6>
        <p class="text-center"><%= image_tag 'ps5/patient_record/patient_record_mgnt_reception.png', alt: "patient record workflow by reception", class: 'img-responsive', width: 700, height: 500 %></p>
      </div>

      <div class="workflow">
        <h6>
          Prescription are added to patient record to by medical officer.
          If needed, doctors are assigned to patient by medical officer.
          Patient is added to equipment request list by medical officer.
        </h6>
        <p class="text-center"><%= image_tag 'ps5/patient_record/patient_record_mgnt_medical_officer.png', alt: "patient record workflow by medical officer", class: 'img-responsive', width: 700, height: 500 %></p>
      </div>

      <div class="workflow">
        <h6>
          Prescription are added to patient record to by doctor.
          Patient is added to equipment request list by doctor.
        </h6>
        <p class="text-center"><%= image_tag 'ps5/patient_record/patient_record_mgnt_doctor.png', alt: "patient record workflow by doctor", class: 'img-responsive', width: 700, height: 500 %></p>
      </div>

      <div class="workflow">
        <h6>
          Patient statistics such as how many patient are cured, how are currently treating, how many have expired will be requested by team leader.
        </h6>
        <p class="text-center"><%= image_tag 'ps5/patient_record/patient_record_mgnt_teamleader.png', alt: "patient record workflow by team leader", class: 'img-responsive', width: 700, height: 500 %></p>
      </div>

      <br/>
      <h3>Equipment Record</h3>
      <div class="workflow">
        <h6>
          Equipment record are added by the team leader.
          Patient are assigned to equipment by the team leader.
        </h6>
        <p class="text-center"><%= image_tag 'ps5/equipment_record/equipment_mgnt_teamleader.png', alt: "equipment record workflow by team leader", class: 'img-responsive', width: 700, height: 500 %></p>
      </div>

      <div class="workflow">
        <h6>
          Patient are added to Equipment request list by medical officer.
        </h6>
        <p class="text-center"><%= image_tag 'ps5/equipment_record/equipment_mgnt_medicalofficer.png', alt: "equipment record workflow by medical officer", class: 'img-responsive', width: 700, height: 500 %></p>
      </div>

      <div class="workflow">
        <h6>
          Patient are added to Equipment request list by doctor.
        </h6>
        <p class="text-center"><%= image_tag 'ps5/equipment_record/equipment_mgnt_doctor.png', alt: "equipment record workflow by doctor", class: 'img-responsive', width: 700, height: 500 %></p>
      </div>
    </div>
  </div>

  <div class="question question-4 card">
    <div class="card-body">
      <h4 class="card-title">Design your versioning system. What is the versioning system for each type of content? Do you need
a complete history of every version, or just a current version with the author of the last version? Make
sure you think carefully about the needs of the user community. Document the versioning design on
your site.</h4>

      <h5>Patient Record</h5>
      <p>A versioning system for the patient record is designed to track the changes made to the documents containing information about the patient.
        In other words, each version of the document would be tracked. It is to be noted that most probably, multiple documents will be stored for a particular
        patient. In this design, each version of the document would be tracked independently of the other. The information of the version tracked will be displayed
        in a version table illustrated below.</p>
      <%= image_tag 'ps5/patient_version_table.png', alt: 'Patiend Version Table', style: 'height:auto;width:60%;' %>
      <p>The table below demonstrates the tracking of a particular document ‘patient_profile’ for the patient ‘Martin M. Denham’ by two employees. </p>
      <%= image_tag 'ps5/patient_version_table_document2.png', alt: 'Patient Document', style: 'height:auto;width:50%;' %>

      <p>So far for version numbering, each subsequent increase by a whole number in the version number indicates the change made to the previous version. However, in the future
        implementation and depending needs of the organization, the first time a document was added for a patient, its first version will have a version number of
        0.1. For each minor change made to the document, the version number can be increased by 0.1, that is, the version number will increase in the sequence
        of 0.1, 0.2, 0.3 till it becomes 1.0. For the major changes made to the document (e.g. getting approved by a manager), the version number will increase to the next whole number. For example, if the current version of the document is 1.5 and a major change was made to the document, its next version would be 2.0. </p>

      <br>

      <h5>Patient Data for Visualization</h5>
      <p>Apart from recording patient information, the organization will also collect and save patient data for data visualization to study some case scenarios,
        like the number of patients being treated, the number of patients recovered, and the number of deaths due to the disease. For this content, the versioning
        system is designed to track all the new data added to the current data. Then, the organization can go back to any previous version of data used for data
        visualization for reference and/or other reasons. The format for keeping track of each version will be similar to the document being tracked for a patient
        shown in the table above.</p>

      <br>

      <h5>Staff List</h5>
      <p>For the versioning system for the staff list, only the current version needs to be tracked. A list of current staff members and a list of previous staff
        members will be kept. The list would contain basic information about each staff member like staff role, education, address, and so on.</p>

      <br>

      <h5>Equipment Record</h5>
      <p>For this content, only the current version needs to be tracked.
        History will be recorded of each equipment acquired, used, disposed and such other action taken. </p>

      <br>

      <h5>Inquiries by Patient</h5>
      <p>For the inquiries made by the patient, only the current version is enough. After each inquiry is answered, it can be discarded from the system database and no longer needs to be tracked. </p>

      <br>

      <h5>Request Equipment</h5>
      <p>For the request made by the reception and the medical officer for equipment, only the current version needs to be tracked. The history of requests
        made can be maintained in a spreadsheet containing about requests made by, request for, and date request made.</p>
    </div>
  </div>

  <br>

  <div class="question question-5 card">
    <div class="card-body">
      <h4 class="card-title">Write UATs for a “skeletal” implementation of the workflow for at least one type of content on your site then get the UATs to pass.
        Users should be able to get something up on your server and see it published.</h4>
      <h4>UAT Test for Admin User</h4>
      <p>In this part of the testing, UAT is performed to test the functionality of admin user.</p>
      <h5><i>Test Scenarios</i></h5>
      <p>These are the following test scenarios to be verified for testing the functionality.</p>
      <ul>
        <li>Admin Sign In</li>
        <li>Invalid Admin Sign In</li>
        <li>Add User</li>
        <li>Delete User </li>
      </ul>
      <h5><i>UAT Testcases</i></h5>
      <p>The table below shows the format of UAT performed. After defining test steps, test data, and expected
        results for each test scenario, the result is noted if it passed or failed the test scenario.</p>
      <%= image_tag 'ps5/UAT/admin_testcase2.png', alt: 'Patient Document', style: 'height:auto;width:80%;' %>
      <p class="text-center"><i>(format of UAT adopted from https://www.youtube.com/watch?v=F42OS74ORI0)</i></p>
      <div class="row">
        <div class="col d-flex align-items-end">
          <figure>
            <%= image_tag 'ps5/UAT/pre_add_user_admin.png', alt: 'Patient Document', style: 'width:621px;' %>
            <figcaption>User list before adding a new user</figcaption>
          </figure>
        </div>
        <div class="col">
          <figure>
            <%= image_tag 'ps5/UAT/add_user_admin.png', alt: 'Patient Document', style: 'width:600px;' %>
            <figcaption>User list after adding a new user</figcaption>
          </figure>
        </div>
      </div>


    </div>
  </div>

  <br>
  <br>
</div>
